Bug 1529076 - [abrt] texstudio: SimulatedCPU::push(char*)(): texstudio killed by SIGSEGV
Summary: [abrt] texstudio: SimulatedCPU::push(char*)(): texstudio killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texstudio
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c9610b80b6659fa32750a2737f6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-26 09:29 UTC by Jens
Modified: 2018-02-28 17:10 UTC (History)
2 users (show)

Fixed In Version: texstudio-2.12.8-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-28 17:10:06 UTC


Attachments (Terms of Use)
File: backtrace (16.87 KB, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: cgroup (289 bytes, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: core_backtrace (109.26 KB, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: cpuinfo (1.66 KB, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: dso_list (16.37 KB, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: environ (1.64 KB, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: exploitable (100 bytes, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: limits (1.29 KB, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: maps (84.85 KB, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: open_fds (3.25 KB, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details
File: var_log_messages (437 bytes, text/plain)
2017-12-26 09:29 UTC, Jens
no flags Details

Description Jens 2017-12-26 09:29:29 UTC
Description of problem:
1. open texstudio
2. open tex document
3. press F5 (compile and view)
4. texstudio crashes

Pressing F6 (compile) works.

The system on which this bug occurs, has a NVIDIA GTX 470 with nouveau driver installed. 

Version-Release number of selected component:
texstudio-2.12.6-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        texstudio
crash_function: SimulatedCPU::push(char*)
executable:     /usr/bin/texstudio
journald_cursor: s=4337b5da427a49f6af8d547860fb67b0;i=baa;b=79087030ea97447eb5766de3c08a3800;m=200b91e47;t=561316696e7c9;x=9786996482c2aab2
kernel:         4.14.8-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 SimulatedCPU::push(char*) at ../debughelper.cpp:54
 #1 SimulatedCPU::call(char*) at ../debughelper.cpp:1122

Comment 1 Jens 2017-12-26 09:29:34 UTC
Created attachment 1372388 [details]
File: backtrace

Comment 2 Jens 2017-12-26 09:29:36 UTC
Created attachment 1372389 [details]
File: cgroup

Comment 3 Jens 2017-12-26 09:29:39 UTC
Created attachment 1372390 [details]
File: core_backtrace

Comment 4 Jens 2017-12-26 09:29:40 UTC
Created attachment 1372391 [details]
File: cpuinfo

Comment 5 Jens 2017-12-26 09:29:42 UTC
Created attachment 1372392 [details]
File: dso_list

Comment 6 Jens 2017-12-26 09:29:43 UTC
Created attachment 1372393 [details]
File: environ

Comment 7 Jens 2017-12-26 09:29:44 UTC
Created attachment 1372394 [details]
File: exploitable

Comment 8 Jens 2017-12-26 09:29:46 UTC
Created attachment 1372395 [details]
File: limits

Comment 9 Jens 2017-12-26 09:29:48 UTC
Created attachment 1372396 [details]
File: maps

Comment 10 Jens 2017-12-26 09:29:50 UTC
Created attachment 1372397 [details]
File: open_fds

Comment 11 Jens 2017-12-26 09:29:51 UTC
Created attachment 1372398 [details]
File: proc_pid_status

Comment 12 Jens 2017-12-26 09:29:53 UTC
Created attachment 1372399 [details]
File: var_log_messages

Comment 13 Fedora Update System 2018-02-20 12:42:42 UTC
texstudio-2.12.8-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48f51ab8eb

Comment 14 Fedora Update System 2018-02-20 18:20:34 UTC
texstudio-2.12.8-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48f51ab8eb

Comment 15 Fedora Update System 2018-02-28 17:10:06 UTC
texstudio-2.12.8-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.